Subject: bug#65905: 30.0.50; Consider changing info buffer names to info<(org)> rather than info<3>

From: Vladimir Nikishkin <[email-masked]>
Date: Wed, 13 Sep 2023 23:07:44 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Vladimir Nikishkin <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 13 Sep 2023 22:04:31 +0800
>> 
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Did you try using "C-h R"?  It will find the existing Info buffer
>> > without your need to remember any numbers.  Just type
>> >
>> >   C-h R org RET
>> >
>> > I have dozens of Info manuals in my Emacs sessions, and I always use
>> > "C-h R" to get to those whose numbers I don't remember (which is all
>> > but the 2 Emacs manuals).
>> 
>> But it's not the same thing, is it?
>
> It's not?  I think it is the same.  You wanted a simply way of getting
> back to a manual that you were reading earlier in the session, which
> you still have in some Info buffer, no?  That's what "C-h R" does: it
> first looks in the Info buffers already present in the session, and,
> if not found, then looks for the manual installed on the system.  In
> your case, the first step will succeed.
>

No, it does not do that. C-h R just prompts for a "Manual name: " in the
minibuffer, and if I press TAB, shows all the names for all the
installed manuals in the system.

>> If I open some manual recently and then forget its name, how do I switch
>> back _to that manual which I have been reading in the past hour but
>> which name I do not remember_?
>
> That's what "C-h R" does.  Did you try it?  If you did, how did it not
> "switch back _to that manual which I have been reading in the past
> hour"?  For me, it switches back to that manual and to the same place
> where I was before.  What am I missing?

It does switch to the previously open buffer, if I happen to remember
the name of the manual. But if I do not remember whether I was reading
epa's manual, or pgg's manual (similar features!), I have to go through
them by trial and error.

>> I also have a hack to show buffer names in window titles, and seeing
>> there info<org> is nicer than info<3>.
>
> If you want to show the name of the Info file on the title bar, you
> can modify frame-title-format to use Info-current-file in Info
> buffers.

My hackish script is doing that, but I don't want to cater for each mode
possible. Whey wouldn't a mode name it's buffers informatively?

-- 
Your sincerely,
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)